EndIngestion is used to end the ingestion of Listings Needs to be called after all Listings requiring ingestion have been requested so that the generated Ingestion Plan can be applied.
You call thisScope not enforced
POST
/v2/storefront/listing/ingestion/end
const url = 'https://api.zentail.com/v2/storefront/listing/ingestion/end';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"actualNumListings":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.zentail.com/v2/storefront/listing/ingestion/end \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "actualNumListings": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
EndIngestionRequest is used to end the ingestion of Listings
object
actualNumListings
string format: int64
Examplegenerated
{ "actualNumListings": "example"}Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
EndIngestionResponse is used to return the response of the EndIngestion
object
Examplegenerated
{}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}